ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

CmmPipeline

Synopsis

- cmmPipeline :: HscEnv -> TopSRT -> CmmGroup -> IO (TopSRT, CmmGroup)

# Documentation

Converts C-- with an implicit stack and native C-- calls into optimized, CPS converted and native-call-less C--. The latter C-- can be used to generate assembly.

cmmPipeline :: HscEnv -> TopSRT -> CmmGroup -> IO (TopSRT, CmmGroup)

Top level driver for C-- pipeline